Update a specific API key
curl --request PATCH \
--url https://api.example.com/v1/api-keys/{key_name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/v1/api-keys/{key_name}"
payload = {
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.example.com/v1/api-keys/{key_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"prefix": "<string>"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}{
"status": 123,
"message": "<string>"
}API Keys
Update a specific API key
PATCH
/
v1
/
api-keys
/
{key_name}
Update a specific API key
Authorizations
Path Parameters
Body
application/json
⌘I